/*
	gmas.c

	gmas - A file/stream viewer
	Copyright (C) 1999   Roberto Machorro (rmach@bigfoot.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <gtk/gtk.h>
#include "fileWindow.h"

int main(int argc, char *argv[])
{
	int i;
	GtkWidget *window;

	gtk_init(&argc, &argv);

	if (argc == 1) {
		// We are using input from StdIn!
		window = createFileWindow(NULL);
		gtk_widget_show(window);
	} else {
		// We are using input from files!
		for (i=1; i<argc; i++) {
			window = createFileWindow(argv[i]);
			gtk_widget_show(window);
		}
	}

	gtk_main();

	return 0;
}
